package org.amdatu.mongo.itest;

import java.io.IOException;

import org.amdatu.bndtools.test.BaseOSGiServiceTest;
import org.amdatu.mongo.MongoDBService;

import com.mongodb.DB;

public class ConfiguredMongoDbServiceTest extends BaseOSGiServiceTest<MongoDBService> {
	private String mongopid;
	
	public ConfiguredMongoDbServiceTest() {
		super(MongoDBService.class);
	}
	
	@Override
	public void setUp() throws Exception {
		mongopid = configureFactory("org.amdatu.mongo", properties("dbName", "mydb"));
		super.setUp();
	}
	
	public void testConfiguredMongoDbService() throws IOException {
		DB db = instance.getDB();
		assertNotNull(db);
		
		assertEquals("mydb", db.getName());
	}
	
	@Override
	protected void tearDown() throws Exception {
		removeConfig(mongopid);
		super.tearDown();
	}
}
